Subject: Re: bug#13255: 24.2.50; output in nonvisible shell buffer changes prompt

From: Lars Ingebrigtsen <[email-masked]>
Date: Sat, 04 Dec 2021 05:15:26 +0100

Glenn Morris <[email-masked]> writes:

> emacs -Q -f shell
>
> ;; run this in shell buffer
> while : ; do
>  sleep 0.5
>  echo hi
> done
>
> C-x b *scratch* RET
> C-h
>
> So long as the shell is looping, I get no C-h prompt at all.
> If I interrupt the loop, I get the intended:
>
> C-h (Type ? for further options)-

This problem is still present in Emacs 29 (whether blink-cursor-mode is
enabled or not (it was reported that switching it off would mitigate the
problem)).

So I guess process output makes the thing that displays `C-x -' (or `C-h
-') short-circuits a timeout somewhere?  Hm...  this sounds familiar; I
feel I've seen a discussion of this somewhere semi-recently.  Anybody
remember?

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no